{ pkgs, lib, ... }:

let
  inherit (lib) mkDefault;
in
{
  programs.hyprland.enable = mkDefault true;

  programs.dconf.enable = true; # fixes nixvim hm module

  services.flatpak.enable = true;

  xdg.portal = {
    enable = true;
    extraPortals = with pkgs; [
      xdg-desktop-portal-gtk
    ];
    config.common.default = "gtk";
  };

  services.gnome.gnome-keyring.enable = true;
  security.pam.services = {
    login = {
      enableGnomeKeyring = true;
    };
    hyprlock = { };
  };

  services.udisks2.enable = mkDefault true;
}
